namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// Ghre_SurveyRecord(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghre)]
public class Ghre_SurveyRecordController : BaseController<IGhre_SurveyRecordServices, Ghre_SurveyRecord, Ghre_SurveyRecordDto, InsertGhre_SurveyRecordInput, EditGhre_SurveyRecordInput>
{
    public Ghre_SurveyRecordController(IGhre_SurveyRecordServices service) : base(service)
    {
    }
}